{ config, pkgs, lib, ... }:

let
  unstable = import <nixos-unstable> { };
in

{
  nixpkgs.overlays = lib.singleton
  (self: super:
    { maxwell-notify = self.callPackage ./custom/packages/maxwell-notify.nix
        { homeserver = "https://${config.var.hostname}/_matrix/client/r0";
          roomId     = "!FsUSHSNMPMVTFFcvJo:maxwell.ydns.eu";
          authToken  = config.secrets.passwords.matrix;
        };

      monero = unstable.monero;
      element-web = unstable.element-web;
    });

  environment.systemPackages = with pkgs; [
    # utilities
    iftop curl ranger neovim
    nix-script openssl
    jq ack

    # backup
    bup git nfs-utils

    # admin
    dnsutils
    matrix-synapse
    maxwell-notify
    smartmontools
  ];

}
